
.full-width-bg {
    background-color: #640c0e;
    width: 100vw;
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
    padding-top: 20px;
    padding-bottom: 20px;
}


.league-table {
    border-collapse: collapse;
    width: 100%;
    color: white;
    font-family: system-ui, -apple-system, sans-serif;
    font-size: 14px;
    overflow: hidden;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    margin-bottom: 10px;
    border-top: 0px !important;
    background-color: #640c0e;
  } 

  .league-table tr {
    background: #640c0e !important;
  }

  .league-table th {
    color: #000f1e99;
    padding-top: 10px;
    padding-bottom: 2px;
    letter-spacing: 1px;
    text-align: right !important;
    border-top: 1px solid #fff;
    border-bottom: 1px solid #ccc;
    font-size: 7px;
    border-width: 0px !important;
  }


  .league-table td:nth-last-child(-n+4) {
    text-align: right;
    color: #555;
    font-variant-numeric: tabular-nums;
  }

  .row-tr {
    border-top: 0.5px solid #e6e6e6;
    height: 42px;
    border-radius: 0px 6px 6px 0px;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 0px 2px 0px, rgba(0, 0, 0, 0.04) 0px 1px 1px 0px;
    display: flex;
    font-size: 12px;
  }

  .row-tr:hover {
    background-color: #626262;
  }

  .row-ifk {
    background: linear-gradient(90deg, #640c0e, rgb(232, 14, 16, 1));
    color: white !important;
  }

  .row-ifk div {
    color: white !important;
  }


  .standing {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 4px;
    min-width: 160px;
    color: white;
  }

  .team-logo {
    width: 26px;
    height: 26px;
  }

  .team-logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
  }

  .standing-pre-up {
    width: 3px;
    height: 26px;
    border-radius: 99px 0px 0px 99px;
    background-color: rgb(238 255 191);
    margin-right: 4px;
  }

  .standing-pre-down {
    width: 3px;
    height: 26px;
    border-radius: 99px 0px 0px 99px;
    background-color: rgb(153, 165, 181);
    margin-right: 4px;
  }

  .standing-number {
    width: 16px;
    text-align: left;
    color: white;
  }

  .standing-svg {
    width: 10px;
    text-align: left;
    display: none;
  }

  @media (min-width: 380px) { 
  .team-name {
    font-size: 12px;
    color: white;
  }
  .main-tr {
    color: white;
    font-weight: bolder;
    font-size: 12px;
    font-family: 'Plus Jakarta Sans';
    display: flex;
  }
  .main-tr th {
    border-width: 0px !important;
    color: white;
    font-weight: bolder;
    font-family: 'Plus Jakarta Sans';
  }
}

  @media (max-width: 380px) { 
  .team-name {
    font-size: 10px;
    color: white;
  }
  .main-tr {
    color: white;
    font-weight: bolder;
    font-size: 10px;
    font-family: 'Plus Jakarta Sans';
    display: flex;
  }
  .main-tr th {
    border-width: 0px !important;
    font-size: 10px;
    color: white;
    font-weight: bolder;
    font-family: 'Plus Jakarta Sans';
  }
}

  
#minutes-container {
    display: none;
}
#cards-container {
    display: block;
}
#l-table-container {
    display: none;
    margin-top: 20px;
}

@media (max-width: 767px) { /* mobile */
    #goals-container {
        display: none;
    }
    .only-mobile {
        display: block;
    }
    .row-td {
    padding: 6px 10px;
    vertical-align: middle;
    white-space: nowrap;
    border-width: 0px !important;
    color: white !important;
    width: 11%;
  }
  .standing-td {
    padding: 6px 10px;
    vertical-align: middle;
    white-space: nowrap;
    border-width: 0px !important;
    color: white !important;
    width: 52%;
  }
  .goals-td {
    padding: 6px 10px;
    vertical-align: middle;
    white-space: nowrap;
    border-width: 0px !important;
    color: white !important;
    width: 15%;
  }
}


@media (min-width: 768px) { /* desktop */
    #goals-container {
        display: none;
    }
    .only-mobile {
        display: none;
    }
    .row-td {
    padding: 6px 10px;
    vertical-align: middle;
    white-space: nowrap;
    border-width: 0px !important;
    color: white !important;
    width: 10%;
  }
  .standing-td {
    padding: 6px 10px;
    vertical-align: middle;
    white-space: nowrap;
    border-width: 0px !important;
    color: white !important;
    width: 50%;
  }
  .goals-td {
    padding: 6px 10px;
    vertical-align: middle;
    white-space: nowrap;
    border-width: 0px !important;
    color: white !important;
    width: 20%;
  }
}



.tab-bar {
    display: flex;
    border-bottom: 1px solid #ddd;
    list-style: none !important;
    padding: 0px;
    margin: 0px;
    position: relative;
    left: 50%;
    right: 50%;
    width: 100vw;
    margin-left: -50vw;
    margin-right: -50vw;
    margin-top: 20px;
}
    
.tab-bar li {
    list-style-type: none !important;
}

.tab {
    flex: 1;
    text-align: center;
    padding: 12px 0;
    cursor: pointer;
    position: relative;
    color: #e30613;
    font-size: 13px;
    text-transform: uppercase;
    white-space: nowrap;
    font-weight: bolder;
    font-family: 'Plus Jakarta Sans';
}

.tab.active::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
    width: 100%;
    background-color: #b2434a;
}

.tab::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
    width: 100%;
    background-color: rgb(255, 255, 255);
}

.player-goals {
    position: relative;
    display: flex;
    align-items: center;
    gap: 12px;

    padding: 10px 16px;

    overflow: hidden;

    height: 80px;
    width: 100%;
    margin-bottom: 10px;
}

/* Tämä on se "täyttö" */
.player-goals .bar {
    position: absolute;
    left: 0;
    top: 0;
    height: 80px;

    width: var(--percent);
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.05), rgb(232 14 16 / 45%));
    border-radius: 15px;

    z-index: 0;
    transition: width 0.5s ease;
}

/* Sisältö menee barin päälle */
.player-goals > *:not(.bar) {
    position: relative;
    z-index: 1;
}

.player-img {
    width: 65px;
    height: 65px;
    /*border-radius: 50%;*/
    overflow: clip;
}
/*
.lineup_pic {
    height: 80px;
    width: 80px;
    float: left;
    overflow: clip;
}*/

.player-img img {
    height: 100%;
    width: 100%;
    object-fit: contain;
}


.player-name {
    flex: 1;
    font-weight: 600;
    color: white;
}

.player-score {
    font-weight: bold;
    color: white;
}